package com.ruoyi.tc.entity.history;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.tc.baseClass.BaseClass;
import com.ruoyi.tc.entity.po.AssetBasicNetworkCpPo;
import com.ruoyi.tc.entity.po.AssetBusinessFormCpPo;
import com.ruoyi.tc.entity.po.AssetSupplyChainCpPo;
import com.ruoyi.tc.entity.po.UnitOtherConcatCpPo;
import com.ruoyi.tc.entity.request.Acomma;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
 * 现有资产表(asset_current_history)实体类
 *
 * @author du
 * @since 2024/11/13 14:44
 */
@Data
@ApiModel("现有资产复制表")
@TableName(value = "asset_current_history")
public class AssetCurrentHistory extends BaseClass implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO,value = "current_id")
    private Long currentId;

    @ApiModelProperty("资产id")
    private Long id;

    /**
     * 任务id
     */

    @ApiModelProperty("任务id")
    private Integer taskId;
    /**
     * 系统名称
     */

    @ApiModelProperty("系统名称")
    private String xtmc;
    /**
     * 单位名称
     */
    @ApiModelProperty("单位名称")
    private String dwmc;
    /**
     * 系统域名
     */
    @ApiModelProperty("系统域名")
    private String xtym;

    @ApiModelProperty("访问网址-协议类型")
    @TableField(exist = false)
    private String fwwzXylx;

    /**
     * 访问网址
     */

    @ApiModelProperty("访问网址")
    private String fwwz;
    /**
     * IPport-IP地址
     */
    @ApiModelProperty("IPport-IP地址")
    private String ipAddress;
    /**
     * IPport-端口
     */
    @ApiModelProperty("IPport-端口")
    private String ipPort;
    /**
     * 域名到期时间
     */
    @ApiModelProperty("域名到期时间")
    private String ymdqsj;
    /**
     * 域名提醒人-姓名
     */

    @ApiModelProperty("域名提醒人-姓名")
    private String ymtxrXm;
    /**
     * 域名提醒人-联系方式
     */

    @ApiModelProperty("域名提醒人-联系方式")
    private String ymtxrLxfs;
    /**
     * 关联域名（多个用,分隔）
     */
    @ApiModelProperty("关联域名（多个用,分隔）")
    private String glym;


    @ApiModelProperty("关联域名list")
    @TableField(exist = false)
    private List<Acomma> glymList;

    @ApiModelProperty("关联iplist）")
    @TableField(exist = false)
    private List<Acomma> glIpList;


    /**
     * 关联ip（多个用,分隔）
     */

    @ApiModelProperty("关联ip（多个用,分隔）")
    private String glIp;
    /**
     * 系统类型（字典）
     */
    @ApiModelProperty("系统类型（字典）")
    private String xtlx;
    /**
     * 系统重要性（字典）
     */
    @ApiModelProperty("系统重要性（字典）")
    private String xtzyx;
    /**
     * 是否关基系统（字典）
     */

    @ApiModelProperty("是否关基系统（字典）")
    private String gjxt;
    /**
     * 系统标签
     */
    @ApiModelProperty("系统标签")
    private String xtbq;
    /**
     * 机房信息
     */
    @ApiModelProperty("机房信息")
    private String jfxx;
    /**
     * 使用时间
     */

    @ApiModelProperty("使用时间")
    private String sysj;
    /**
     * 是否是互联网系统（字典）
     */
    @ApiModelProperty("是否是互联网系统（字典）")
    private String hlwxt;
    /**
     * 系统编号
     */
    @ApiModelProperty("系统编号")
    private String xtbh;
    /**
     * 系统状态（字典）
     */

    @ApiModelProperty("系统状态（字典）")
    private String xtzt;
    /**
     * 在线状态（字典）
     */

    @ApiModelProperty("在线状态（字典）")
    private String zxzt;


    @ApiModelProperty("使用人")
    @TableField(exist = false)
    private String syr;
    /**
     * C-机密性（字典）
     */

    @ApiModelProperty("C-机密性（字典）")
    private String cjmx;
    /**
     * I-完整性（字典）
     */
    @ApiModelProperty("I-完整性（字典）")
    private String iwzx;
    /**
     * A-可用性(字典）
     */
    @ApiModelProperty("A-可用性(字典）")
    private String akyx;
    /**
     * 存活率（字典）
     */
    @ApiModelProperty("存活率（字典）")
    private String chl;
//    /**
//     * 地理位置
//     */
//
//    @ApiModelProperty("地理位置")
//    private String dlwz;
    /**
     * 经度
     */

    @ApiModelProperty("经度")
    private String jd;
    /**
     * 纬度
     */

    @ApiModelProperty("纬度")
    private String wd;
    /**
     * 系统特征（,分隔）
     */
    @ApiModelProperty("系统特征（,分隔）")
    private String xttz;
    /**
     * 用户规模
     */
    @ApiModelProperty("用户规模")
    private String yhgm;
    /**
     * 互联网接入运营商
     */

    @ApiModelProperty("互联网接入运营商")
    private String hlwjryys;


    @ApiModelProperty("*物理接入地址")
    @TableField(exist = false)
    private String wljrdz;

    /**
     * 资产物理接入地址
     */

    @ApiModelProperty("资产物理接入地址")
    private String zcwljrdz;
    /**
     * 是否部署云平台（字典）
     */
    @ApiModelProperty("是否部署云平台（字典）")
    private String bsypt;
    /**
     * 云服务商名称
     */

    @ApiModelProperty("云服务商名称")
    private String yfwsmc;
    /**
     * 网站访问协议/开通协议
     */

    @ApiModelProperty("网站访问协议/开通协议")
    private String wzfwxy;
    /**
     * 系统部署方式
     */

    @ApiModelProperty("系统部署方式")
    private String xtbsfs;
    /**
     * 托管单位
     */

    @ApiModelProperty("托管单位")
    private String tgdw;
    /**
     * 云服务商
     */

    @ApiModelProperty("云服务商")
    private String yfws;
    /**
     * 是否对公众开放（字典）
     */

    @ApiModelProperty("是否对公众开放（字典）")
    private String dgzkf;
    /**
     * 互联网开放用途（字典）
     */

    @ApiModelProperty("互联网开放用途（字典）")
    private String hlwkfyt;
    /**
     * 系统防护情况-防篡改(多选字典）
     */
    @ApiModelProperty("系统防护情况-防篡改(多选字典）")
    private String xtfhqkFcg;
    /**
     * 系统防护情况-防泄露(多选字典）
     */
    @ApiModelProperty("系统防护情况-防泄露(多选字典）")
    private String xtfhqkFxl;
    /**
     * 系统防护情况-防中断(多选字典）
     */
    @ApiModelProperty("系统防护情况-防中断(多选字典）")
    private String xtfhqkFzd;
    /**
     * 系统防护情况-防勒索(多选字典）
     */
    @ApiModelProperty("系统防护情况-防勒索(多选字典）")
    private String xtfhqkFls;
    /**
     * 相关业务-覆盖范围
     */
    @ApiModelProperty("相关业务-覆盖范围")
    private String xgywFgfw;
    /**
     * 相关业务-网络性质
     */
    @ApiModelProperty("相关业务-网络性质")
    private String xgywWlxz;
    /**
     * 相关业务-业务类型
     */
    @ApiModelProperty("相关业务-业务类型")
    private String xgywYwlx;
    /**
     * 相关业务-互联情况
     */
    @ApiModelProperty("相关业务-互联情况")
    private String xgywHlqk;
    /**
     * 相关业务-服务对象
     */
    @ApiModelProperty("相关业务-服务对象")
    private String xgywFwdx;
    /**
     * 相关业务-服务范围
     */
    @ApiModelProperty("相关业务-服务范围")
    private String xgywFwfw;
    /**
     * 相关业务-业务描述
     */

    @ApiModelProperty("相关业务-业务描述")
    private String xgywYwms;


    @ApiModelProperty("责任人")
    @TableField(exist = false)
    private String zrr;
    /**
     * 分管负责人姓名
     */


    @ApiModelProperty("分管负责人姓名")
    private String fgfzrxm;
    /**
     * 分管负责人联系方式
     */

    @ApiModelProperty("分管负责人联系方式")
    private String fgfzrlxfs;
    /**
     * 分管负责人邮箱
     */

    @ApiModelProperty("分管负责人邮箱")
    private String fgfzryx;
    /**
     * 部门负责人姓名
     */

    @ApiModelProperty("部门负责人姓名")
    private String bmfzrxm;
    /**
     * 部门负责人联系方式
     */

    @ApiModelProperty("部门负责人联系方式")
    private String bmfzrlxfs;
    /**
     * 部门负责人邮箱
     */

    @ApiModelProperty("部门负责人邮箱")
    private String bmfzryx;
    /**
     * 第一联系人姓名
     */

    @ApiModelProperty("第一联系人姓名")
    private String dylxrxm;
    /**
     * 第一联系人联系方式
     */


    @ApiModelProperty("第一联系人联系方式")
    private String dylxrlxfs;
    /**
     * 第一联系人邮箱
     */

    @ApiModelProperty("第一联系人邮箱")
    private String dylxryx;

    @ApiModelProperty("其他联系人")
    @TableField(exist = false)
    private List<UnitOtherConcatCpPo> otherConcat;

    /**
     * ICP备案信息-是否备案
     */

    @ApiModelProperty("ICP备案信息-是否备案")
    private String ipcSfba;
    /**
     * ICP备案信息-备案有效性
     */
    @ApiModelProperty("ICP备案信息-备案有效性")
    private String ipcBayxx;
    /**
     * ICP备案信息-备案网站名称
     */

    @ApiModelProperty("ICP备案信息-备案网站名称")
    private String ipcBawzmc;
    /**
     * ICP备案信息-备案网站首页
     */

    @ApiModelProperty("ICP备案信息-备案网站首页")
    private String ipcBawzsy;
    /**
     * ICP备案信息-ICP备案编号
     */
//    @Excel(name = "ICP备案编号",sort = 25,width = 46)

    @ApiModelProperty("ICP备案信息-ICP备案编号")
    private String ipcIpcbabh;
    /**
     * ICP备案信息-备案域名
     */

    @ApiModelProperty("ICP备案信息-备案域名")
    private String ipcBaym;
    /**
     * ICP备案信息-备案单位名称
     */

    @ApiModelProperty("ICP备案信息-备案单位名称")
    private String ipcBadwmc;
    /**
     * ICP备案信息-备案单位性质
     */
    @ApiModelProperty("ICP备案信息-备案单位性质")
    private String ipcBadwxz;
    /**
     * ICP备案信息-备案联系人
     */

    @ApiModelProperty("ICP备案信息-备案联系人")
    private String ipcBalxr;
    /**
     * ICP备案信息-备案联系人电话
     */

    @ApiModelProperty("ICP备案信息-备案联系人电话")
    private String ipcBalxrdh;
    /**
     * 审核时间
     */
    @Size(max = 50, message = "审核时间长度不能超过50")
    @ApiModelProperty("审核时间")
    private String shsj;
    /**
     * 公安机关备案信息-是否备案
     */

    @ApiModelProperty("公安机关备案信息-是否备案")
    private String gajgSfba;
    /**
     * 公安机关备案信息-备案机关
     */

    @ApiModelProperty("公安机关备案信息-备案机关")
    private String gajgBajg;
    /**
     * 公安机关备案信息-公安机关备案号
     */

    @ApiModelProperty("公安机关备案信息-公安机关备案号")

    private String gajgBah;
    /**
     * 公安机关备案信息-备案日期
     */

    @ApiModelProperty("公安机关备案信息-备案日期")
    private String gajgBarq;
    /**
     * 系统架构-开发商
     */


    @ApiModelProperty("系统架构-开发商")
    private String xtjgKfs;
    /**
     * 系统架构-系统版本
     */

    @ApiModelProperty("系统架构-系统版本")
    private String xtjgXtbb;
    /**
     * 系统架构-技术架构
     */

    @ApiModelProperty("系统架构-技术架构")
    private String xtjgJsjg;
    /**
     * 系统架构-服务组件
     */

    @ApiModelProperty("系统架构-服务组件")
    private String xtjgFwzj;
    /**
     * 系统架构-web容器名称
     */

    @ApiModelProperty("系统架构-web容器名称")
    private String xtjgWebMc;
    /**
     * 系统架构-web容器版本
     */

    @ApiModelProperty("系统架构-web容器版本")
    private String xtjgWebBb;
    /**
     * 系统架构-是否国产化系统
     */


    @ApiModelProperty("系统架构-是否国产化系统")
    private String xtjgGcxt;
    /**
     * 系统架构-是否有国产设备
     */

    @ApiModelProperty("系统架构-是否有国产设备")
    private String xtjgGcsb;
    /**
     * 系统架构-系统设备国产化率
     */

    @ApiModelProperty("系统架构-系统设备国产化率")
    private String xtjgGchl;
    /**
     * 等保信息-是否等保系统
     */


    @ApiModelProperty("等保信息-是否等保系统")
    private String dbxxSfdbxt;
    /**
     * 等保信息-等保测评备案号
     */

    @ApiModelProperty("等保信息-等保测评备案号")
    private String dbxxDbcpbah;
    /**
     * 等保信息-等保等级
     */

    @ApiModelProperty("等保信息-等保等级")
    private String dbxxDbdj;
    /**
     * 等保信息-主管部门
     */

    @ApiModelProperty("等保信息-主管部门")
    private String dbxxZgbm;
    /**
     * 等保信息-专家评审
     */
    @ApiModelProperty("等保信息-专家评审")
    private String dbxxZjps;
    /**
     * 等保信息-主管部门评审
     */
    @ApiModelProperty("等保信息-主管部门评审")
    private String dbxxZgbmps;
    /**
     * 等保信息-定级时间
     */


    @ApiModelProperty("等保信息-定级时间")
    private String dbxxDjsj;
    /**
     * 等保信息-是否有第三方测评
     */
//    @Excel(name = "是否有第三方测评",width = 45,dictType = "is_no",comboReadDict = true,sort = 45)
    @ApiModelProperty("等保信息-是否有第三方测评")

    private String dbxxSfydsfcp;

    @ApiModelProperty("地理位置-省")
    private String sheng;

    @ApiModelProperty("地理位置-市")
    private String shi;

    @ApiModelProperty("地理位置-区（县）")
    private String qu;
    /**
     * 等保信息-测评得分
     */


    @ApiModelProperty("等保信息-测评得分")
    private String dbxxCpdf;
    /**
     * 第三方测评-测评机构名称
     */

    @ApiModelProperty("第三方测评-测评机构名称")
    private String sfCpjgmc;
    /**
     * 第三方测评-测评机构联系人
     */

    @ApiModelProperty("第三方测评-测评机构联系人")
    private String sfCpjglxr;
    /**
     * 第三方测评-测评机构地址
     */

    @ApiModelProperty("第三方测评-测评机构地址")
    private String sfCpjgdz;
    /**
     * 第三方测评-测评机构联系人电话
     */

    @ApiModelProperty("第三方测评-测评机构联系人电话")
    private String sfCpjglxrdh;
    /**
     * 第三方测评-测评时联系人
     */

    @ApiModelProperty("第三方测评-测评时联系人")
    private String sfCpslxr;
    /**
     * 第三方测评-测评师姓名
     */

    @ApiModelProperty("第三方测评-测评师姓名")
    private String sfCpsxm;
    /**
     * 第三方测评-测评时联系人电话
     */

    @ApiModelProperty("第三方测评-测评时联系人电话")
    private String sfCpslxrdh;
    /**
     * 第三方测评-测评师电话
     */

    @ApiModelProperty("第三方测评-测评师电话")
    private String sfCpsdh;
    /**
     * 第三方测评-推荐等保办
     */

    @ApiModelProperty("第三方测评-推荐等保办")
    private String sfTjdbb;
    /**
     * 第三方测评-测评师证书等级
     */
    @ApiModelProperty("第三方测评-测评师证书等级")
    private String sfCpszsdj;
    /**
     * 第三方测评-测评等级
     */
    @ApiModelProperty("第三方测评-测评等级")
    private String sfCpdj;
    /**
     * 第三方测评-推荐日期
     */

    @ApiModelProperty("第三方测评-推荐日期")
    private String sfTjrq;
    /**
     * 第三方测评-报告日期
     */

    @ApiModelProperty("第三方测评-报告日期")
    private String sfBgrq;
    /**
     * 第三方测评-测评结论
     */

    @ApiModelProperty("第三方测评-测评结论")
    private String sfCpjl;
    /**
     * 密评信息-是否密评系统
     */

    @ApiModelProperty("密评信息-是否密评系统")
    private String mpSfmpxt;
    /**
     * 密评信息-密评得分
     */

    @ApiModelProperty("密评信息-密评得分")
    private String mpMpdf;

    /**
     * 供应链信息列表
     */
    @ApiModelProperty("供应链信息列表")
    @TableField(exist = false)
    private List<AssetSupplyChainCpPo> gylxxList;
    /**
     * 基础网络列表
     */
    @ApiModelProperty("基础网络列表")
    @TableField(exist = false)
    private List<AssetBasicNetworkCpPo> jcwlList;

    /**
     * 新监管业务形态
     */
    @ApiModelProperty("新监管业务形态")
    @TableField(exist = false)
    private AssetBusinessFormCpPo xjgywxt;
    /**
     * Whois信息-有效性
     */
    @ApiModelProperty("Whois信息-有效性")
    private String whoisYxx;
    /**
     * Whois信息-注册名
     */

    @ApiModelProperty("Whois信息-注册名")
    private String whoisZcm;
    /**
     * Whois信息-服务商
     */

    @ApiModelProperty("Whois信息-服务商")
    private String whoisFws;
    /**
     * Whois信息-注册邮箱
     */

    @ApiModelProperty("Whois信息-注册邮箱")
    private String whoisZcyx;
    /**
     * Whois信息-注册国家
     */

    @ApiModelProperty("Whois信息-注册国家")
    private String whoisZcgj;
    /**
     * Whois信息-注册省
     */

    @ApiModelProperty("Whois信息-注册省")
    private String whoisZcs;
    /**
     * Whois信息-注册地址
     */

    @ApiModelProperty("Whois信息-注册地址")
    private String whoisZcdz;
    /**
     * Whois信息-注册机构
     */

    @ApiModelProperty("Whois信息-注册机构")
    private String whoisZcjg;
    /**
     * Whois信息-注册时间
     */

    @ApiModelProperty("Whois信息-注册时间")
    private String whoisZcsj;
    /**
     * Whois信息-最后更新时间
     */

    @ApiModelProperty("Whois信息-最后更新时间")
    private String whoisZhgxsj;
    /**
     * Whois信息-到期时间
     */

    @ApiModelProperty("Whois信息-到期时间")
    private String whoisDqsj;
    /**
     * 数据资产-数据库名称
     */

    @ApiModelProperty("数据资产-数据库名称")
    private String sjzcSjkmc;
    /**
     * 数据资产-数据库类型
     */


    @ApiModelProperty("数据资产-数据库类型")
    private String sjzcSjklx;
    /**
     * 数据资产-端口
     */

    @ApiModelProperty("数据资产-端口")
    private String sjzcDk;
    /**
     * 数据资产-数据库版本
     */

    @ApiModelProperty("数据资产-数据库版本")
    private String sjzcSjkbb;
    /**
     * 数据资产-数据库所在IP
     */

    @ApiModelProperty("数据资产-数据库所在IP")
    private String sjzcSjkIp;
    /**
     * 数据资产-共享属性
     */

    @ApiModelProperty("数据资产-共享属性")
    private String sjzcGxsx;
    /**
     * 数据资产-开放属性
     */

    @ApiModelProperty("数据资产-开放属性")
    private String sjzcKfsx;
    /**
     * 数据资产-数据领域
     */

    @ApiModelProperty("数据资产-数据领域")
    private String sjzcSjly;
    /**
     * 数据资产-更新周期
     */

    @ApiModelProperty("数据资产-更新周期")
    private String sjzcGxzq;
    /**
     * 数据资产-数据类型
     */

    @ApiModelProperty("数据资产-数据类型")
    private String sjzcSjlx;
    /**
     * 数据资产-数据量
     */


    @ApiModelProperty("数据资产-数据量")
    private String sjzcSjl;


    @ApiModelProperty("数据资产-数据量单位")

    private String sjzcSjldw;
    /**
     * 数据资产-是否为涉密数据
     */

    @ApiModelProperty("数据资产-是否为涉密数据")
    private String sjzcSmsj;
    /**
     * 数据资产-数据是否出境
     */

    @ApiModelProperty("数据资产-数据是否出境")
    private String sjzcCj;
    /**
     * 数据资产-数据分级分类
     */

    @ApiModelProperty("数据资产-数据分级分类")
    private String sjzcSjfjfl;
    /**
     * 数据资产-数据重要程度
     */

    @ApiModelProperty("数据资产-数据重要程度")
    private String sjzcSjzycd;
    /**
     * 数据资产-数据描述
     */

    @ApiModelProperty("数据资产-数据描述")

    private String sjzcSjms;

    @ApiModelProperty("*业务描述")
    @TableField(exist = false)
    private String ywms;
    /**
     * 业务系统拓扑图
     */

    @ApiModelProperty("业务系统拓扑图")
    private String ywxttpt;


    @ApiModelProperty("业务系统拓扑文件")
    private String ywxttpwj;

    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;

    @ApiModelProperty("是否报废（默认0不报废 2代表报废）")
    private String isbf;

    @ApiModelProperty("报废原因")
    private String bfyy;

    @ApiModelProperty("审核状态（0待核查，1待审批，3审核通过，4审核不通过，5已报废）")
    private Integer status=0;


    @ApiModelProperty("不通过原因")
    private String btgyy;


    @ApiModelProperty("不通过次数")
    private Integer count;

    @ApiModelProperty("建设运营单位")
    private String jsyydw;

    /**
     * DNS:
     */
    @ApiModelProperty("DNS")
    private String dns;

    /**
     * 单位自己编辑的审核状态（1未审批 2审批通过 3审批驳回）
     */
    @ApiModelProperty("审核状态（1未审批 2审批通过 3审批驳回）")
    private String auditState;


    @ApiModelProperty("单位自己编辑的 不通过原因")
    private String auditYy;

    /**
     * 是否自建互联网专线ip
     */
    @TableField("is_zjhlwip")
    @ApiModelProperty("是否自建互联网专线ip")
    private String isZjhlwip;
}
