package com.ruoyi.tc.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import com.ruoyi.tc.baseClass.BaseClass;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 小程序资产表(asset_mini_programs_cp)实体类
 *
 * @author du
 * @since 2024/11/13 14:44
 */
@Data
@ApiModel("小程序资产表")
@TableName(value = "asset_mini_programs_cp")
public class AssetMiniProgramsCpPo extends BaseClass implements Serializable {

    /**
     *
     */
    @ApiModelProperty("mini_id")
    @TableId(value = "mini_id", type = IdType.AUTO)
    private Long miniId;


    @ApiModelProperty("资产id")
    private Long assetId;

    @ApiModelProperty("任务id")
    private Integer taskId;

    /**
     * 所属单位
     */

    @ApiModelProperty("所属单位")
    private String ssdw;
    /**
     * 小程序名称
     */

    @ApiModelProperty("小程序名称")
    private String xcxmc;
    /**
     * appid
     */


    @ApiModelProperty("appid")
    private String appId;
    /**
     * 认证主体
     */

    @ApiModelProperty("认证主体")
    private String rzzt;
    /**
     * 统一社会信用代码
     */


    @ApiModelProperty("统一社会信用代码")
    private String tyshxydm;
    /**
     * 小程序状态（字典）
     */

    @ApiModelProperty("小程序状态（字典）")
    private String state;
    /**
     * 账号原始ID
     */


    @ApiModelProperty("账号原始ID")
    private String ysId;
    /**
     * 小程序包状态(字典)
     */

    @ApiModelProperty("小程序包状态(字典)")
    private String packState;
    /**
     * 认证状态(字典）
     */


    @ApiModelProperty("认证状态(字典）")
    private String rzState;
    /**
     * 认证时间
     */

    @ApiModelProperty("认证时间")
    private String rzsj;
    /**
     * 认证类型（字典）
     */

    @ApiModelProperty("认证类型（字典）")
    private String rzlx;
    /**
     * icp备案状态
     */

    @ApiModelProperty("icp备案状态")

    private String icpState;
    /**
     * 域命白名单
     */

    @ApiModelProperty("域命白名单")
    private String ymbmd;
    /**
     * 服务类目
     */

    @ApiModelProperty("服务类目")
    private String fwlm;
    /**
     * 行业电子邮箱
     */

    @ApiModelProperty("行业电子邮箱")
    private String hydzyx;
    /**
     * 所属行业（字典）
     */

    @ApiModelProperty("所属行业（字典）")

    private String sshy;
    /**
     * 重点行业(字典)
     */


    @ApiModelProperty("重点行业(字典)")
    private String zdhy;
    /**
     * 行政区划（字典)
     */


    @ApiModelProperty("行政区划（字典)")
    private String xzqh;
    /**
     * 系统简介
     */

    @ApiModelProperty("系统简介")
    private String xtjj;
    /**
     * 系统责任人
     */

    @ApiModelProperty("系统责任人")
    private String xtzrr;
    /**
     * 系统责任人电话
     */

    @ApiModelProperty("系统责任人电话")
    private String xtzrrdh;
    /**
     * 系统责任人邮箱
     */

    @ApiModelProperty("系统责任人邮箱")
    private String xtzrryx;
    /**
     * 系统责任人地址
     */


    @ApiModelProperty("系统责任人地址")
    private String xtzrrdz;
    /**
     * 引用插件appid
     */

    @ApiModelProperty("引用插件appid")
    private String yycjAppid;
    /**
     * 引用插件开发者
     */

    @ApiModelProperty("引用插件开发者")
    private String yycjKfz;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;

    @TableField(updateStrategy = FieldStrategy.IGNORED)
    @ApiModelProperty("报废原因")
    private String bfyy;


    @ApiModelProperty("不通过次数")
    private Integer count;

    @TableField(updateStrategy = FieldStrategy.IGNORED)
    @ApiModelProperty("不通过原因")
    private String btgyy;

    @ApiModelProperty("审核状态（0待核查，1待审批，3审核通过，4审核不通过，5已报废）")
    private Integer status;

    /**
     * 单位自己编辑的审核状态（1未审批 2审批通过 3审批驳回）
     */
    @ApiModelProperty("审核状态（1未审批 2审批通过 3审批驳回）")
    private String auditState;


    @ApiModelProperty("单位自己编辑的 不通过原因")
    private String auditYy;
}
