package com.ruoyi.tc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.tc.entity.po.AssetSupplyChainCpPo;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 资产供应链信息复制(asset_supply_chain_cp)表数据库访问层
 *
 * @author makejava
 * @since 2024-11-15 10:03:56
 */
public interface AssetSupplyChainCpMapper extends BaseMapper<AssetSupplyChainCpPo> {


    /**
     * 根据任务id资产供应链原有id
     *
     * @param taskId 任务id
     * @return
     */
    @Select("select a.* from asset_supply_chain a left join asset_current_cp b  on a.asset_id =b.id where b.task_id=#{taskId}")
    List<AssetSupplyChainCpPo> findByassetId(String taskId);



    /**
     * 根据资产id和任务id删除数据
     *
     * @param assetId 资产id
     * @param taskId  任务id
     */
    @Delete("delete from asset_supply_chain_cp where asset_id=#{assetId} and task_id =#{taskId}   ")
    void deletByAssetIdandTaskId(@Param("assetId") Long assetId, @Param("taskId") Integer taskId);

    /**
     * 根据资产id和任务id删除数据
     *
     * @param assetId 资产id
     */
    @Delete("delete from asset_supply_chain_cp where asset_id=#{assetId} ")
    void deletByAssetId(@Param("assetId") Long assetId);


    /**
     * 根据assetId查询查询数据
     *
     * @param assetId 资产id
     * @param taskId  任务id
     * @return
     */
    @Select("select * from  asset_supply_chain_cp where asset_id=#{assetId} and task_id=#{taskId}")
    List<AssetSupplyChainCpPo> findByTaskId(@Param("assetId") int assetId,@Param("taskId") int taskId);
}

