package com.ruoyi.tc.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.tc.entity.po.AssetBusinessFormCpPo;

import java.util.List;

/**
 * 资产新监管业务形态复制(asset_business_form_cp)表服务接口
 *
 * @author makejava
 * @since 2024-11-15 16:06:53
 */
public interface AssetBusinessFormCpService extends IService<AssetBusinessFormCpPo> {

    /**
     * 根据任务id查询业务主表原有id
     *
     * @param taskId 任务id
     * @return
     */
    List<AssetBusinessFormCpPo> findByassetId(String taskId);


    /**
     * 根据资产id和任务id删除数据
     *
     * @param assetId 资产id
     * @param taskId  任务id
     */
    void deletByAssetIdandTaskId(Long assetId, Integer taskId);

    /**
     * 根据资产id和任务id删除数据
     *
     * @param assetId 资产id
     */
    void deletByAssetId(Long assetId);

    /**
     * 根据assetId查询查询数据
     *
     * @param assetId 资产id
     * @param taskId  任务id
     * @return
     */
    AssetBusinessFormCpPo  findByTaskId(int assetId, int taskId);

}

