package com.ruoyi.tc.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.tc.entity.po.AssetCurrentCpPo;

import java.util.List;

/**
 * 现有资产复制表(AssetCurrentResponse)表服务接口
 *
 * @author makejava
 * @since 2024-11-15 10:04:03
 */
public interface AssetCurrentCpService extends IService<AssetCurrentCpPo> {


    /**
     * 根据资产id和任务id删除数据
     *
     * @param assetId 资产id
     * @param taskId  任务id
     */
    void deletByAssetIdandTaskId(Long assetId, Integer taskId);


    /**
     * 根据资产id查询查询数据
     *
     * @param assetId 资产id
     * @param taskId  任务id
     * @return
     */
    AssetCurrentCpPo findByTaskId(int assetId, int taskId);


    /**
     * 修改不通过原因
     *
     * @param assetId 资产id
     * @param taskId  任务id
     * @param btgyy   不通过原因
     * @param newThcs 退回次数
     */
    void updateByAssetId(Integer assetId, Integer taskId, String btgyy, Integer newThcs);


    /**
     * 根据任务id,资产id获取退回次数
     *
     * @param assetId 资产id
     * @param taskId  任务id
     * @return
     */
    AssetCurrentCpPo findByassetIdandTaskId(Integer assetId, Integer taskId);


    /**
     * 根据资产id查询资产
     *
     * @param id
     * @return
     */
    List<AssetCurrentCpPo> findDwmc(Long id);


    /**
     * 根据资产id和任务id删除数据
     *
     * @param assetId 资产id
     */
    void deletByAssetId(Long assetId);


    /**
     * 删除
     *
     * @param idList
     */
    void deleteIdList(Long idList);
}

